// Copyright (C) 2016-2024  Nexedi SA and Contributors.
//                          Kirill Smelkov <kirr@nexedi.com>
//
// This program is free software: you can Use, Study, Modify and Redistribute
// it under the terms of the GNU General Public License version 3, or (at your
// option) any later version, as published by the Free Software Foundation.
//
// You can also Link and Combine this program with other software covered by
// the terms of any of the Free Software licenses or any of the Open Source
// Initiative approved licenses and Convey the resulting work. Corresponding
// source of such a combination shall include the source code for all other
// software used.
//
// This program is distributed WITHOUT ANY WARRANTY; without even the implied
// warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
//
// See COPYING file for full licensing terms.
// See https://www.nexedi.com/licensing for rationale and options.

package zodb

//go:generate python2 py/pydata-gen-testdata
//go:generate python3 py/pydata-gen-testdata

import (
	"testing"

	"lab.nexedi.com/kirr/neo/go/internal/xmaps"
)

type _PyDataClassName_TestEntry struct {
	pydata    string
	className string
}

var _PyDataClassName_TestDataRegistry = map[/*zkind*/string][]_PyDataClassName_TestEntry{}

func TestPyClassName(t *testing.T) {
	for _, zkind := range xmaps.SortedKeys(_PyDataClassName_TestDataRegistry) {
		t.Run(zkind, func(t *testing.T) {
			_TestPyClassName(t, _PyDataClassName_TestDataRegistry[zkind])
		})
	}
}

func _TestPyClassName(t *testing.T, _PyData_ClassName_Testv []_PyDataClassName_TestEntry) {
	for _, tt := range _PyData_ClassName_Testv {
		className := PyData(tt.pydata).ClassName()
		if className != tt.className {
			t.Errorf("class name for %q:\nhave: %q\nwant: %q",
				tt.pydata, className, tt.className)
		}
	}
}
